#ifndef _HLBR_DECODE_SIP_H_
#define _HLBR_DECODE_SIP_H_

#include "../config.h"
#include "../engine/hlbr.h"
#include "decode.h"
#include <osipparser2/osip_parser.h>

#define MAX_SIP_DATA_LEN 1024

typedef struct sip_data {
	unsigned char	Message[MAX_SIP_DATA_LEN];
} SIPData;

int InitDecoderSIP();
int SIPParser(char* message,osip_message_t *sip);
osip_message_t* SIPParser2(char* message,osip_message_t *sip);

#endif
